com.google.appengine.api.files

## Class FileStat

- java.lang.Object
- - com.google.appengine.api.files.FileStat

-     public final class FileStat
      extends java.lang.Object

  A `FileStat` contains information about a single file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileStat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Long` | `getCtime()` This field is never set under current implementation.
    `java.lang.String` | `getFilename()`
    `java.lang.Long` | `getLength()`
    `java.lang.Long` | `getMtime()` This field is never set under current implementation.
    `int` | `hashCode()`
    `boolean` | `isFinalized()`
    `void` | `setCtime(long ctime)`
    `void` | `setFilename(java.lang.String filename)`
    `void` | `setFinalized(boolean finalized)`
    `void` | `setLength(long length)`
    `void` | `setMtime(long mtime)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileStat

          public FileStat()

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setFilename

          public void setFilename(java.lang.String filename)

      Parameters:
        `filename` - the uploaded filename of the file.

    - #### setFinalized

          public void setFinalized(boolean finalized)

      Parameters:
        `finalized` - whether the file is finalized.

    - #### setLength

          public void setLength(long length)

      Parameters:
        `length` - the number of bytes of the file.

    - #### setCtime

          public void setCtime(long ctime)

      Parameters:
        `ctime` - creation time.

    - #### setMtime

          public void setMtime(long mtime)

      Parameters:
        `mtime` - modification time.

    - #### getFilename

          public java.lang.String getFilename()

      Returns:
        the filename.

    - #### isFinalized

          public boolean isFinalized()

      Returns:
        whether or not the file is finalized

    - #### getLength

          public java.lang.Long getLength()

      Returns:
        the length. `null` if not set.

    - #### getCtime

          public java.lang.Long getCtime()

      This field is never set under current implementation.
      Returns:
        the ctime. `null` if not set.

    - #### getMtime

          public java.lang.Long getMtime()

      This field is never set under current implementation.
      Returns:
        the mtime. `null` if not set.